All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.graphics.components
Class TreeIconModel

    com.sas.graphics.components.TreeIconModel

    public class TreeIconModel

## Behavior

Since:
  SAS 9.2
See Also:
  `ModelBase`, `TextStyle`, `GanttChartModel`, `StrokeLineStyle`

Constructor Summary
`TreeIconModel(javax.swing.Icon icon)`
`TreeIconModel(javax.swing.Icon openIcon, javax.swing.Icon closeIcon, javax.swing.Icon leafIcon)`

Method Summary
`void` | `apply(TreeIconModel theOtherObject)` Utility method to convey properties contained in "theOtherObject" to this object.
`boolean` | `equals(java.lang.Object obj)` Determines whether another object is equal to this `TableAxisModel`.
`javax.swing.Icon` | `getClosedIcon()` Return the closed icon that will be used when displaying hierarchical data in a treetable.
`javax.swing.Icon` | `getLeafIcon()` Return the leaf icon that will be used when displaying hierarchical data in a treetable.
`javax.swing.Icon` | `getOpenIcon()` Return the open icon that will be used when displaying hierarchical data in a treetable.
`int` | `hashCode()` Computes the hash code for this `TreeIconModel`.
`void` | `setClosedIcon(javax.swing.Icon icon)` Define closed icon that will be used when displaying hierarchical data in a treetable.
`void` | `setLeafIcon(javax.swing.Icon icon)` Define leaf icon that will be used when displaying hierarchical data in a treetable.
`void` | `setOpenIcon(javax.swing.Icon icon)` Define open icon that will be used when displaying hierarchical data in a treetable.

Methods inherited from class com.sas.graphics.components.ModelBase
`addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, setContainedModel`

Constructor Detail

### TreeIconModel

    public TreeIconModel(javax.swing.Icon openIcon,
                         javax.swing.Icon closeIcon,
                         javax.swing.Icon leafIcon)

### TreeIconModel

    public TreeIconModel(javax.swing.Icon icon)

Method Detail

### apply

    public void apply(TreeIconModel theOtherObject)

  Utility method to convey properties contained in "theOtherObject" to this object.

  Note: Contained "models" (i.e. properties that are subclasses of ModelBase) will in turn be called on to convey their properties to the like contained models in the other object. In that respect this can be considered a "tree" type copy.

  Also Note: This is a deep copy. Thus after the copy, mutable properties will not be shared by the two instances.

  Parameters:
    `theOtherObject` - properties applied to this instance

### equals

    public boolean equals(java.lang.Object obj)

  Determines whether another object is equal to this `TableAxisModel`.

  The result is `true` if and only if the argument is not `null` and is a `TableAxisModel` object that has the same property values as this object.

  Overrides:
    `equals` in class `ModelBase`
  Parameters:
    `obj` - the object to test for equality with this `TableAxisModel`
  Returns:
    `true` if the objects are the same; `false` otherwise.

### setOpenIcon

    public void setOpenIcon(javax.swing.Icon icon)

  Define open icon that will be used when displaying hierarchical data in a treetable. This is used only if no valid "Value" icons have been set. "Value" icons can be set using one of the two putTreeValue* methods {putTreeValueIcon, putTreeValueOpenIcon} with putTreeValueIcon having highest precedence.

  Parameters:
    `icon` - Icon to be displayed for an open tree node.
  See Also:
    `getOpenIcon()`

### getOpenIcon

    public javax.swing.Icon getOpenIcon()

  Return the open icon that will be used when displaying hierarchical data in a treetable. This is used only if no valid putTreeValueIcon() icons have been set.

  See Also:
    `setOpenIcon(javax.swing.Icon)`

### setClosedIcon

    public void setClosedIcon(javax.swing.Icon icon)

  Define closed icon that will be used when displaying hierarchical data in a treetable. This is used only if no valid "Value" icons have been set. "Value" icons can be set using one of the two putTreeValue* methods {putTreeValueIcon, putTreeValueClosedIcon} with putTreeValueIcon having highest precedence.

  Parameters:
    `icon` - Icon to be displayed for a closed tree node.
  See Also:
    `getClosedIcon()`

### getClosedIcon

    public javax.swing.Icon getClosedIcon()

  Return the closed icon that will be used when displaying hierarchical data in a treetable. This is used only if no valid putTreeValueIcon() icons have been set.

  See Also:
    `setClosedIcon(javax.swing.Icon)`

### setLeafIcon

    public void setLeafIcon(javax.swing.Icon icon)

  Define leaf icon that will be used when displaying hierarchical data in a treetable. This is used only if no valid "Value" icons have been set. "Value" icons can be set using one of the two putTreeValue* methods {putTreeValueIcon, putTreeValueLeafIcon} with putTreeValueIcon having highest precedence.

  Parameters:
    `icon` - Icon to be displayed for a leaf tree node.
  See Also:
    `getLeafIcon()`

### getLeafIcon

    public javax.swing.Icon getLeafIcon()

  Return the leaf icon that will be used when displaying hierarchical data in a treetable. This is used only if no valid putTreeValueIcon() icons have been set.

  See Also:
    `setLeafIcon(javax.swing.Icon)`

### hashCode

    public int hashCode()

  Computes the hash code for this `TreeIconModel`.

  Overrides:
    `hashCode` in class `ModelBase`
  Returns:
    a hash code value for this object.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.